Subject: Offline Message from William D. Epting: Im so excited, I will get my EB11 tom
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 03 Jun 2022 23:52:08 -0000

From: William D. Epting <[email-masked]>
Phone: 3122862401
Location: Chicago, United States
URL: https://swagtron.com/electric-bikes/?gclid=Cj0KCQjw4uaUBhC8ARIsANUuDjVg9B9bGdKJkVXRMv9cnYf2ztK8kRyRGYX0rI-FGkbMu4Kq-QEr0aEaAhsjEALw_wcB
Department: SwagTron

Im so excited, I will get my EB11 tomorrow, I know I’m going to love it. I am a bilateral amputee that gets around very well on these  expensive ass legs😂. After years of not riding I decided to try a different type of bike to ride as I just had to many problems trying to ride my Mountain Bike, I bought a Schwinn Beach Cruiser after test driving a friends. Love it but single speed will not do it for me, I’m working to hard. I searched and searched and found the EB11. I’ll give a review as soon as I assemble it & charge up the battery. 
My question is, Can disc breaks be added to the EB11 if so which one would you recommend?

----
Zopim
https://www.zopim.com